CMSIS-DSP: arm_matrix_instance_f32 Struct Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_matrix_instance_f32 Struct Reference

Instance structure for the floating-point matrix structure. More...

## Data Fields

uint16_t | numRows
uint16_t | numCols
float32_t * | pData

## Description

Examples:
  arm_class_marks_example_f32.c, and arm_matrix_example_f32.c.

## Field Documentation

uint16_t numCols

number of columns of the matrix.

uint16_t numRows

number of rows of the matrix.

float32_t* pData

points to the data of the matrix.